Community

MongoDB: mixed version of Mongodb memebers in a repl-set

I have a mongoDB repl-set with 4 nodes, which is 3.2 version, I want to add an arbiter, but only the server I can use os to build Mongodb in 3.0, my question is: will this mixed version members environment will have problem in communication between members?

 
  • **bold**
  • _italics_
  • `code`
  • ```code block```
  • # Heading 1
  • ## Heading 2
  • > Quote
 

Hello,

A quick review of the MongoDB 3.2 Release Notes and Changelog did not reveal any significant changes to arbitration that would lead me to think that introducing a v3 arbiter would cause a problem. However, as you seem to be aware, running the same version across all nodes is a best practice and should be the goal.

If I may, what OS are you trying to install MongoDB on that does not support 3.2, but does support 3.0? The Compatiblity Matrix looks fairly similar between 3.2 and 3.0.

Eric